version: '3'
services:
    db:
        container_name: pickmeup-db
        image: mysql:8.0.27
        restart: unless-stopped
        volumes:
            - pickmeup_db_data_vol:/var/lib/mysql
            - pickmeup_db_conf_vol:/etc/mysql/conf.d
#        api-server랑만 통신 가능하게 할거면 포트 설정 안해도 댐
#        ports:
#            - 3306:3306
#        environment:
#            - MYSQL_ROOT_PASSWORD=비밀번호 초기 설정
    api-server:
        container_name: pickmeup-backend
#        build:
#            context: ./api-server
        image: pickmeup-backend
        depends_on:
            - db
        restart: unless-stopped
        volumes:
            - pickmeup_api_upload_vol:/var/lib/pickmeup/upload
        ports:
            - 8080:8080
volumes:
    pickmeup_db_data_vol:
        driver: local
        driver_opts:
            type: none
            device: /var/lib/docker-bindings/pickmeup/db/data
            o: bind
    pickmeup_db_conf_vol:
        driver: local
        driver_opts:
            type: none
            device: /var/lib/docker-bindings/pickmeup/db/conf
            o: bind
    pickmeup_api_upload_vol:
        driver: local
        driver_opts:
            type: none
            device: /var/lib/docker-bindings/pickmeup/backend/upload
            o: bind
